import { exists } from '../runtime.js';
import { ExchangeKeyEnumFromJSON, ExchangeKeyEnumToJSON } from './ExchangeKeyEnum.js';
import { ProviderEnumFromJSON, ProviderEnumToJSON } from './ProviderEnum.js';

/* tslint:disable */
function ExchangeCreateRequestFromJSON(json) {
    return ExchangeCreateRequestFromJSONTyped(json);
}
function ExchangeCreateRequestFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'exchange': ExchangeKeyEnumFromJSON(json['exchange']),
        'socialProvider': !exists(json, 'socialProvider') ? undefined : ProviderEnumFromJSON(json['socialProvider']),
        'onRampProvider': !exists(json, 'onRampProvider') ? undefined : ProviderEnumFromJSON(json['onRampProvider']),
    };
}
function ExchangeCreateRequestToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'exchange': ExchangeKeyEnumToJSON(value.exchange),
        'socialProvider': ProviderEnumToJSON(value.socialProvider),
        'onRampProvider': ProviderEnumToJSON(value.onRampProvider),
    };
}

export { ExchangeCreateRequestFromJSON, ExchangeCreateRequestFromJSONTyped, ExchangeCreateRequestToJSON };
