'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var runtime = require('../runtime.cjs');
var MFADeviceType = require('./MFADeviceType.cjs');
var MFASettingsMethods = require('./MFASettingsMethods.cjs');

/* tslint:disable */
function MFASettingsFromJSON(json) {
    return MFASettingsFromJSONTyped(json);
}
function MFASettingsFromJSONTyped(json, ignoreDiscriminator) {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        'enabled': !runtime.exists(json, 'enabled') ? undefined : json['enabled'],
        'required': !runtime.exists(json, 'required') ? undefined : json['required'],
        'availableMethods': !runtime.exists(json, 'availableMethods') ? undefined : (json['availableMethods'].map(MFADeviceType.MFADeviceTypeFromJSON)),
        'methods': !runtime.exists(json, 'methods') ? undefined : (json['methods'].map(MFASettingsMethods.MFASettingsMethodsFromJSON)),
    };
}
function MFASettingsToJSON(value) {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        'enabled': value.enabled,
        'required': value.required,
        'availableMethods': value.availableMethods === undefined ? undefined : (value.availableMethods.map(MFADeviceType.MFADeviceTypeToJSON)),
        'methods': value.methods === undefined ? undefined : (value.methods.map(MFASettingsMethods.MFASettingsMethodsToJSON)),
    };
}

exports.MFASettingsFromJSON = MFASettingsFromJSON;
exports.MFASettingsFromJSONTyped = MFASettingsFromJSONTyped;
exports.MFASettingsToJSON = MFASettingsToJSON;
